layui.config({
    base: '../../js/layuiModules/',   // 第三方模块所在目录
    version: 'v1.6.4' // 插件版本号
}).extend({
    soulTable: 'notice,layNotify',	// 模块
});
let form;
var tree;
var table;
var notice;
var layNotify;
var oldKeyWord = "";
var orgId = "";
var statusId = "";
var volLevelIds = "";
const token = localStorage.getItem("token");
let pers = checkPermission();
$("#resetBt").click(function(){
    table.reload('menuTable', {
        url: ctxPath + '/subTeam/getSubcontractaList'
        , method: 'post' //方式默认是get
        , page: true
        , where: {
            keyWord: '',
        } //设定异步数据接口的额外参数
    });
    $("#keyWord").val('');
})
$("#searchBt").click(function(){
    oldKeyWord = $("#keyWord").val();
    table.reload('menuTable', {
        url: ctxPath + '/subTeam/getSubcontractaList'
        , method: 'post' //方式默认是get
        , page: true
        , where: {
            keyWord: oldKeyWord,
        } //设定异步数据接口的额外参数
    });
    $("#keyWord").val(oldKeyWord);
})
$("#addBt").click(function(){
    localStorage.setItem("id","")
    layerOpenFormForSencond("新增","./SubcontractaFrom.html");
})
$("#exportBt").click(function(){
    keyWord = $("#keyWord").val();
    window.location.href = ctxPath + "/subTeam/exportPhysicalCheckResult?"
        +"keyWord=" + keyWord
        + "&type=" + '1'
        + "&token=" + token; //下载文件
})

layui.use(['table', 'form','notice', 'layNotify'], function () {
    table = layui.table;
    form = layui.form;
    tree = layui.tree;
    notice = layui.notice;
    layNotify = layui.layNotify;

    if ($.inArray('Subcontract:add', pers) < 0) {
        document.getElementById('addDiv').remove();
    }

    //渲染表格
    table.render({
        elem: '#demo'
        , url: ctxPath + '/subTeam/getSubcontractaList' //数据接口
        , method: 'post' //方式默认是get
        , toolbar: 'default' //开启工具栏，此处显示默认图标，可以自定义模板，详见文档
        , where: {} //post请求必须加where ，post请求需要的参数
        , cellMinWidth: 80
        , cols: [[ //表头
            {type: 'checkbox'}
            ,{
                field: 'number', width:80,title: '序号', align: 'center', type: 'numbers'
            }
            , {field: 'name', align: 'center', title: '分包名称'}
            , {field: 'shortName', align: 'center', title: '分包简称'}
            , {field: 'legalRepre', align: 'center', title: '法定代表人'}
            ,{field: 'businessAddress', align: 'center', title: '营业地址'}
            , {
                fixed: 'right', width:180, title: '操作', align: 'center', templet: d => {
                    let text = "";
                    if ($.inArray('Subcontract:update', pers) > 0) {
                        text +='<a lay-event="update" style="color: #009688;cursor: pointer;font-size: 15px"  id="updateBtn">修改</a>';
                        text +='<span lay-event="com" style="font-size: 15px;"> | </span>';
                    }
                    if ($.inArray('Subcontract:del', pers) > 0) {
                        text +='<a lay-event="del" style="color: #009688;cursor: pointer;font-size: 15px"  id="deleteBtn" >删除</a>';
                    }
                    return text;
                }
            }
        ]]
        , id: 'menuTable'
        , page: true //开启分页
        , loading: true //数据加载中。。。
        , limits: [5, 10, 20]  //一页选择显示3,5或10条数据
        , limit: 10  //一页显示5条数据
        , response: {
            statusCode: 200 //规定成功的状态码，默认：0
        }, parseData: function (res) { //将原始数据解析成 table 组件所规定的数据，res为从url中get到的数据
            let result;
            if (res.data !== '' && res.data != null && res.data !== "null") {
                if (this.page.curr) {
                    result = res.data.slice(this.limit * (this.page.curr - 1), this.limit * this.page.curr);
                } else {
                    result = res.data.slice(0, this.limit);
                }
            }
            return {
                "code": res.code, //解析接口状态
                "msg": res.msg, //解析提示文本
                "count": res.count, //解析数据长度
                "data": result, //解析数据列表
            };
        }
        ,toolbar: "#toolbar"
    });

    //监听工具条
    table.on('tool(test)', function (obj) {
        var data = obj.data; //当前行数据
        console.log(data)
        var rowIndex = obj.index;
        var layEvent = obj.event; //当前点击的事件名
        if (layEvent === 'update') {
            localStorage.setItem('id',data.id);
            localStorage.setItem('name',data.name);
            if (data.shortName == null || data.shortName == ""){
                data.shortName = "";
            }
            localStorage.setItem('shortName',data.shortName);
            localStorage.setItem('legalRepre',data.legalRepre);
            localStorage.setItem('businessAddress',data.businessAddress);
            layerOpenFormForSencond("修改","./SubcontractaFrom.html");
        }
        if (layEvent === 'del') {
            layer.confirm('确定要删除吗？', {
                btn : [ '确定', '取消' ]
            }, function() {
                ajaxCommonMethod('/subTeam/delSubcontractById',{'id': data.id},"删除成功","删除失败");
                layer.close(1);
                layer.msg('删除成功');
                location.reload();
            });
        }
    });

// 单元格编辑事件
    table.on('edit(test)', function (obj) {
        var field = obj.field; // 得到字段
        var value = obj.value; // 得到修改后的值
        var oldValue = obj.oldValue;
        var data = obj.data; // 得到所在行所有键值
        var update = {};

        // 值的校验
        if (field === 'idNumber') {
            if (value.length != 18) {
                update[field] = oldValue;
                obj.update(update);
                layer.tips('输入的身份证不正确，请重新编辑', this, {tips: 1});
                return obj.reedit(); // 重新编辑 -- v2.8.0 新增
            } else {
                update[field] = value;
                obj.update(update);
            }
        }
        // 编辑后续操作，如提交更新请求，以完成真实的数据更新
        // …
        layer.msg('编辑成功', {icon: 1});
    });
});

function reloadTip(tip,message,type){
    layNotify.notice({
        title: tip+"提示",
        type: type,
        message: message
    });
}